Subject: RE: [Simple] RE: [Sipping] RE: text/T140 andaudio/t140 was:[avt]C omments/questions on draft-ietf-av

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Mon, 5 Jul 2004 10:53:45 +0100

Given the length of time this discussion has been going on, and the number of messages exchanged, is it not about time we reached some conclusions. These lists are to advance the deliverables in the working groups concerned, so how do any conclusions affect those deliverables.

SIMPLE has a charter to produce instant messaging protocols. I do not see in all the discussion of the advantages of instant messaging versus real-time text removing that charter item. Therefore I suggest we STOP that discussion, or the proponents move it elsewhere.

SIMPLE does not have a charter item to produce real-time text protocols. There is already an existing capability in IETF for real-time text protocols. It is not really up to SIMPLE to discuss whether that works well or not, as it was not developed under SIMPLEs charter.

How terminals mix and match applications is not something that IETF traditionally deals with. Therefore I would suggest that any requirements that state RTT and IM must be implemented in the same terminal are out of scope of IETF. They should certainly be in some device specification rather than in the MSRP specification which SIMPLE is specifically delivering. 

I guess the questions as affecting MSRP really fall down to these:

-	Are there capabilities in MSRP that would lead to a valid RTT protocol that works better than the existing IETF solution, in addition to it fulfilling the requirements to provide an IM protocol. From the exchange of messages I have seem so far, it seems to me that the conclusion should be NO.

-	In order to deal with a body of users that have IM, and prefer to use IM, and a body of users that have RTT, and prefer to use RTT, is there a need to be able to interwork the two protocols at some intermediate point, and not just within the terminal by supporting both protocols under a common user interface? I see that as an element of the discussion just raised by Paul. Does such interworking, if required, have any impact on the contents of MSRP?

regards

Keith

Keith Drage
Lucent Technologies
[email-masked]
tel: +44 1793 776249

> -----Original Message-----
> From: Arnoud van Wijk [mailto:[email-masked]]
> Sent: 04 July 2004 10:43
> To: [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Subject: RE: [Simple] RE: [Sipping] RE: text/T140 andaudio/t140
> was:[avt]Comments/questions on draft-ietf-av
> 
> 
> Never say never.
> Have you tried interactive text/real-time text?
> Did you?
> 
> First try it and THEN you can say if you like it or not.
> 
> If you want to determine how useful it is. Test it.
> Use it
> Try it
> Compare it with IM.
> See the differences between IM and RTT/Interactive text.
> See that both text communication methods have their advantages and
> disadvantages.
> And use both for the best situations.
> 
> And if you still don't want to use RTT/Interactive 
> text..fine..I just hope
> that when I call you, that you can still receive my call. 
> Just use it only
> when the other person uses Interactive text/RTT.
> Even if it is then 3-4 times per year.
> 
> Can you with IM:
> * directly call the other?
> * forward the call?
> * put on hold?
> * have the call go to multiple terminals?
> * not being logged on a buddy list server, where you may get 
> flooded by 20
> users at the same time saying hi! And such?
> * being able to leave a message on an answering machine?
> * using a service that allows a ring notifivation as soon the 
> other user is
> ready with his/her other phonecall? (ring back on busy).
> 
> There are more.. but I am unfamiliar with voice calls. I am 
> just enjoying my
> freedom of communications beyond the IM limitations.
> 
> And I enjoy using IM also..even though I am forced to use 
> Trillian, since
> there is NO one universal standard for IM right now!
> 
> Interactive text is!
> 
> Greetz
> 
> Arnoud
> 
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple